public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/olsrd/
Date: Mon,  6 Mar 2017 15:57:19 +0000 (UTC)	[thread overview]
Message-ID: <1488815831.99a6c4d0e3ebd2b8c5217bca63e8163106a43520.jer@gentoo> (raw)

commit:     99a6c4d0e3ebd2b8c5217bca63e8163106a43520
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  6 15:57:11 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Mar  6 15:57:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99a6c4d0

net-misc/olsrd: Version bump.

Package-Manager: Portage-2.3.4, Repoman-2.3.1

 net-misc/olsrd/Manifest             |  1 +
 net-misc/olsrd/olsrd-0.9.6.1.ebuild | 97 +++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/net-misc/olsrd/Manifest b/net-misc/olsrd/Manifest
index f928580f17f..9025f8ee341 100644
--- a/net-misc/olsrd/Manifest
+++ b/net-misc/olsrd/Manifest
@@ -1,2 +1,3 @@
 DIST olsrd-0.9.0.2.tar.bz2 5439596 SHA256 cc464b29c7740354d815d5faa753fd27c0677d71e8eb42e78abc382996892845 SHA512 a0fc1fd21c7cc7a374bc24379b13b29525e584fa4f116c5d8e14449c3e614de4cb153bba653de48e99a278a6abe3285b059101b1ba96882bd94983dc2b907058 WHIRLPOOL 55a05cd332396ba70fd2e7e86a3ad791e02285074b5f32dc75ffb8ad1af1183534248760e52c31878cfac627988a67edab37711ce6435da6179272db9ae5af89
+DIST olsrd-0.9.6.1.tar.bz2 908871 SHA256 9cac290e9bff5fc7422110b9ccd972853f10962c962d2f31a63de9c6d1520612 SHA512 06e97c3fef6e2f24885fc96f9e68582523926188e4bbe9283c3add997c20f8cec1e691063d5cf6392e4e56dfa250c2cd8ac00035b47f56dbd2069b12b430255a WHIRLPOOL 527cea2116dd390942fbada09946f8c4fcc5bb70977fb8073ecf1bda6eb95a14c37bff1e637d2031803cacce3dc3c7c0bb505273e0bbe1b847a60cbfb1d583f7
 DIST olsrd-0.9.6.tar.bz2 908597 SHA256 d68f59f26f8bcf7136e622759b6ec14f806ea1afd0d2c68818dcb7ec6461c1b0 SHA512 74f08a0261795b828d47823088ef44cdb0ddccc99c304e10af6859716a2267ddc905a2f10904021ed79742d483e87e5e8b4a035cd1eea9d9266231090a7ff050 WHIRLPOOL 012b08b4b759646ab863909dba311fc46274843a998f56412e3f0fcfcae15e1950e97b9463210bfe5b6734f1456a2ea018b5bbab67480b8ad803d267b8ef81a3

diff --git a/net-misc/olsrd/olsrd-0.9.6.1.ebuild b/net-misc/olsrd/olsrd-0.9.6.1.ebuild
new file mode 100644
index 00000000000..fe4249c7e19
--- /dev/null
+++ b/net-misc/olsrd/olsrd-0.9.6.1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils multilib toolchain-funcs versionator
+
+DESCRIPTION="An implementation of the Optimized Link State Routing protocol"
+HOMEPAGE="http://www.olsr.org/"
+SRC_URI="http://www.olsr.org/releases/$(get_version_component_range 1-2)/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="BSD LGPL-2.1"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk pud"
+DEPEND="
+	gtk? (
+		dev-libs/glib:2
+		x11-libs/gdk-pixbuf:2
+		x11-libs/gtk+:2
+	)
+	pud? ( sci-geosciences/gpsd )
+"
+RDEPEND="
+	${DEPEND}
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.9.0.2-gtk.patch
+	"${FILESDIR}"/${PN}-0.9.6-gpsd.patch
+)
+src_prepare() {
+	default
+
+	# fix parallel make
+	# respect AR
+	# verbose build
+	# fix default prefix, bug #453440
+	sed -i \
+		-e '/@echo "\[/d' \
+		-e 's|$(MAKECMD)|$(MAKE)|g' \
+		-e 's|@$(CC)|$(CC)|g' \
+		-e 's|@ar |$(AR) |g' \
+		-e '/^prefix/s:/usr/local:/usr:' \
+		$( find . -name 'Makefile*' ) || die
+
+	# respect LDFLAGS
+	sed -i \
+		-e 's|$(CC)|& $(OLSRD_LDFLAGS)|g' \
+		lib/pud/nmealib/Makefile lib/pud/wireformat/Makefile || die
+}
+
+src_configure() {
+	if ! use pud; then
+		sed -i -e '/^SUBDIRS/ s|pud||g' Makefile || die
+	fi
+}
+
+src_compile() {
+	tc-export PKG_CONFIG
+	emake \
+		CC="$(tc-getCC)" \
+		VERBOSE=1 \
+		LIBDIR="/usr/$(get_libdir)/${PN}" \
+		OLSRD_LDFLAGS="${LDFLAGS}" \
+		OS=linux \
+		build_all
+	if use gtk; then
+		emake -C gui/linux-gtk LIBDIR="/usr/$(get_libdir)/${PN}" CC="$(tc-getCC)"
+	fi
+}
+
+src_install() {
+	emake OS=linux LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+		DESTDIR="${D}" STRIP=true install_all
+	if use gtk; then
+		emake -C gui/linux-gtk \
+			LIBDIR="${D}/usr/$(get_libdir)/${PN}" DESTDIR="${D}" install
+	fi
+
+	doinitd "${FILESDIR}/${PN}"
+
+	dodoc CHANGELOG \
+		valgrind-howto.txt files/olsrd.conf.default.rfc \
+		files/olsrd.conf.default.lq \
+		lib/arprefresh/README_ARPREFRESH \
+		lib/bmf/README_BMF \
+		lib/dot_draw/README_DOT_DRAW \
+		lib/dyn_gw/README_DYN_GW \
+		lib/dyn_gw_plain/README_DYN_GW_PLAIN \
+		lib/httpinfo/README_HTTPINFO \
+		lib/mini/README_MINI \
+		lib/nameservice/README_NAMESERVICE \
+		lib/pgraph/README_PGRAPH \
+		lib/quagga/README_QUAGGA \
+		lib/secure/README_SECURE \
+		lib/txtinfo/README_TXTINFO \
+		lib/watchdog/README_WATCHDOG
+}


             reply	other threads:[~2017-03-06 15:57 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-06 15:57 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-08 11:21 [gentoo-commits] repo/gentoo:master commit in: net-misc/olsrd/ Arthur Zamarin
2025-03-08 11:20 Sam James
2024-11-19 15:11 Sam James
2024-10-26 21:02 Andreas K. Hüttel
2023-10-10  5:53 Joonas Niilola
2023-10-10  5:53 Joonas Niilola
2022-10-05 11:35 Sam James
2021-12-03  2:22 Sam James
2021-11-11 10:24 Jakov Smolić
2021-11-11  8:36 Jakov Smolić
2021-10-09  4:30 Sam James
2021-03-21  8:24 Joonas Niilola
2019-10-10  7:55 Jeroen Roovers
2019-08-11 10:06 Jeroen Roovers
2019-03-16 10:21 Jeroen Roovers
2017-08-29 22:54 Jeroen Roovers
2017-08-29 21:39 Thomas Deutschmann
2017-08-26  8:42 Mikle Kolyada
2016-12-29  8:05 Aaron Bauman
2016-01-21 10:30 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1488815831.99a6c4d0e3ebd2b8c5217bca63e8163106a43520.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox